#include <bits/stdc++.h>
using namespace std;
int main(){
long long n,nasaoA=0,nasaoB=0,nasaoC=0,nasaoD=0,nasaoE=0,nasaoF=0,nasaoG=0,nasaoH=0,nasaoI=0,nasaoJ=0,nasaoK=0,nasaoL=0,nasaoM=0,nasaoN=0,nasaoO=0,nasaoP=0,nasaoQ=0,nasaoR=0,nasaoS=0,nasaoT=0,nasaoU=0,nasaoV=0,nasaoW=0,nasaoX=0,nasaoY=0,nasaoZ=0;
cin>>n;
long long proizvod=1,mod=pow(10,9)+7,x=0;
string s,ceo="ABCDEFGHIJKLMNOPQRSTUVWXYZ";
cin>>s;
if(n<=26){
    cout<<0;
}
else{
for(int i=0; i<n; i++){
    if(s.at(i)==ceo[x]) x++;
}
if(n==27){
    if(x==26) cout<<2;
    else cout<<0;
}
else{
        if(x<26) cout<<0;
else{
        for(int i=0; i<n; i++){
    if(s.at(i)=='A') nasaoA++;
    else if(s.at(i)=='B') nasaoB++;
    else if(s.at(i)=='C') nasaoC++;
    else if(s.at(i)=='D') nasaoD++;
    else if(s.at(i)=='E') nasaoE++;
    else if(s.at(i)=='F') nasaoF++;
    else if(s.at(i)=='G') nasaoG++;
    else if(s.at(i)=='H') nasaoH++;
    else if(s.at(i)=='I') nasaoI++;
    else if(s.at(i)=='J') nasaoJ++;
    else if(s.at(i)=='K') nasaoK++;
    else if(s.at(i)=='L') nasaoL++;
    else if(s.at(i)=='M') nasaoM++;
    else if(s.at(i)=='N') nasaoN++;
    else if(s.at(i)=='O') nasaoO++;
    else if(s.at(i)=='P') nasaoP++;
    else if(s.at(i)=='Q') nasaoQ++;
    else if(s.at(i)=='R') nasaoR++;
    else if(s.at(i)=='S') nasaoS++;
    else if(s.at(i)=='T') nasaoT++;
    else if(s.at(i)=='U') nasaoU++;
    else if(s.at(i)=='V') nasaoV++;
    else if(s.at(i)=='W') nasaoW++;
    else if(s.at(i)=='X') nasaoX++;
    else if(s.at(i)=='Y') nasaoY++;
    else if(s.at(i)=='Z') nasaoZ++;
}
long long prefixA=0,prefixZ=0;
for(int i=0; i<n; i++){
    if(s.at(i)=='A') prefixA++;
    else break;
}
for(int i=n-1; i>-1; i--){
    if(s.at(i)=='Z') prefixZ++;
    else break;
}
proizvod*=prefixA; proizvod=proizvod%mod;
proizvod*=nasaoB;proizvod=proizvod%mod;
proizvod*=nasaoC;proizvod=proizvod%mod;
proizvod*=nasaoD;proizvod=proizvod%mod;
proizvod*=nasaoE;proizvod=proizvod%mod;
proizvod*=nasaoF;proizvod=proizvod%mod;
proizvod*=nasaoG;proizvod=proizvod%mod;
proizvod*=nasaoH;proizvod=proizvod%mod;
proizvod*=nasaoI;proizvod=proizvod%mod;
proizvod*=nasaoJ;proizvod=proizvod%mod;
proizvod*=nasaoK;proizvod=proizvod%mod;
proizvod*=nasaoL;proizvod=proizvod%mod;
proizvod*=nasaoM;proizvod=proizvod%mod;
proizvod*=nasaoN;proizvod=proizvod%mod;
proizvod*=nasaoO;proizvod=proizvod%mod;
proizvod*=nasaoP;proizvod=proizvod%mod;
proizvod*=nasaoQ;proizvod=proizvod%mod;
proizvod*=nasaoR;proizvod=proizvod%mod;
proizvod*=nasaoS;proizvod=proizvod%mod;
proizvod*=nasaoT;proizvod=proizvod%mod;
proizvod*=nasaoU;proizvod=proizvod%mod;
proizvod*=nasaoV;proizvod=proizvod%mod;
proizvod*=nasaoW;proizvod=proizvod%mod;
proizvod*=nasaoX;proizvod=proizvod%mod;
proizvod*=nasaoY;proizvod=proizvod%mod;
proizvod*=prefixZ;proizvod=proizvod%mod;
cout<<proizvod;
}
}
}
return 0;
}